## example_07b.R
## load and explore deer data (Vicente et al. 2006) from Zuur et al. 2009.

rm(list=ls()) # this clears the R workspace

## Where are the data?
## What if data are moved or renamed?

# store in a variable the path where the Excel file 'Deer.xls' is
wd <- '/home/prea/Dropbox/R/R_2015/slide/src/data/'  
# Also store in a variable the file name
datafile <- 'Deer.csv'

# chenge R 'working directory' into the one where the spreadsheet is
setwd(wd)

# load the Excel file
Deer <- read.csv(datafile)

# explore: how big is the dataset?
nrow(Deer)
ncol(Deer)

# how are data organized?
str(Deer)


# how many observations for each sex?
table(Deer$Sex)

# better recode Sex...
Deer$SEX <- factor(Deer$Sex, levels=c(1,2), labels=c('M', 'F'))

# recode as well clas1_4
Deer$CLASS <- factor(Deer$clas1_4, levels=c(1,2,3,4), labels=c('1', '2', '3', '4'))


# go on... how many observation for each sex?
table(Deer$SEX)
# observations by year?
table(Deer$Year)
xtabs( ~ Year, data=Deer)
# observations by farm
table(Deer$Farm)
# by sex and year
table(Deer$Sex, Deer$Year)
xtabs( ~ SEX + Year, data=Deer)

# average LCT?
mean(Deer$LCT)
# NA?
mean(Deer$LCT, na.rm=TRUE)
# mean by sex
aggregate(LCT ~ SEX, data=Deer, FUN=mean, na.rm=TRUE)
# mean by sex and age class
aggregate(LCT ~ SEX + clas1_4, data=Deer, FUN=mean, na.rm=TRUE)



