# 'pulizia' del workspace
rm(list = ls())

# I dati sono in formato dBASE IV (.dbf). Occorre il package foreign per poterli
# caricare
require(foreign)

#require(graphics)
#require(lattice)
#require(nlme)

# definizione della directory di lavoro
workdir <- "/data/Didattica/R/R_2013/src/"

# nome del file di dati
datafile <- "data/dist_tab.dbf"

# attiva la directory di lavoro, carica i dati
setwd(workdir)
dist_tab <- read.dbf(datafile)

##@TODO: il condizionamento dei dati è tutto da rifare!
# Data dictionary per il file dist_tab.dbf
# SRIP: stato riproduttivo: 0 -> non riproduttiva; 1 -> riproduttiva
# Riferimenti: ?factor
## Not Run:
## dist_tab$SRIP <- factor(dist_tab$SRIP, levels=c(0,1), labels=c('non riproduttiva','riproduttiva'))
# È più opportuno dare alle variabili dei nomi più comprensibili:
# Riproduzione, Mese, Individuo, Distanza
# Riferimenti: ?names
## Not Run:
## names(dist_tab) <- c('Riproduzione', 'Mese', 'Individuo', 'Distanza')

##@TODO: esplorazione dei dati: quali sono i fattori che possono influenzare la 
##@TODO: distanza tra roost e aree di foraggiamento?

##@Q&A: L'analisi della varianza richiede che la variabile responso sia
##@Q&A: distribuita normalmente...
## Not Run:
## shapiro.test(dist_tab$Distanza)

################################################################################
## Analisi della varianza
# modello saturo
aov.0 <- aov(Distanza ~ Riproduzione * Mese, data=dist_tab)
summary(aov.0)
##@Q&A: è possibile escludere il fattore 'Mese', per aumentare la sensibilità 
##@Q&A: del test su 'Riproduzione'?
## Not Run:
## aov.1 <- aov(Distanza ~ Riproduzione, data=dist_tab)
## summary(aov.1)
##@Q&A: Riproduzione ha un effetto significativo?
##@Q&A: Se sì, occorrerebbe effettuare un test post-hoc...
# Riferimenti: TukeyHSD
## Not Run:
## TukeyHSD(aov.1)

################################################################################
## Ma quali sono le distanze medie?
# Occorre calcolare la media per i due gruppi (Riproduttive e non)
# Due possibili soluzioni:
# 1) metodo a forza bruta: estrarre i dati dal dataframe e calcolare media e deviazione standard
dist_tab.R <- dist_tab[dist_tab$Riproduzione == 'riproduttiva',]
mean(dist_tab$Distanza)
sd(dist_tab$Distanza)

dist_tab.R <- dist_tab[dist_tab$Riproduzione == 'non riproduttiva',]
mean(dist_tab$Distanza)
sd(dist_tab$Distanza)

# 2) approccio un po' più intelligente, faciamo gestire a R le 'ripetizioni'
# Riferimenti: ?by
by(dist_tab$Distanza, dist_tab$Riproduzione, summary)

## End of File ##